Bug 176530 - [PATCH] Add a do-not-fork option
[PATCH] Add a do-not-fork option
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-24 05:35 EST by Enrico Scholz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-02 15:55:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adds a do-not-fork option (4.72 KB, patch)
2005-12-24 05:35 EST, Enrico Scholz
no flags Details | Diff

  None (edit)
Description Enrico Scholz 2005-12-24 05:35:42 EST
Description of problem:

Please apply the attached patch which adds a '-n' option to stop smartd from
forking. This makes it work better with modern initmethods like initng or minit.

I will report it upstream but new releases do not seem to happen very often.


Version-Release number of selected component (if applicable):

smartmontools-5.33-1.5
Comment 1 Enrico Scholz 2005-12-24 05:35:43 EST
Created attachment 122572 [details]
Adds a do-not-fork option
Comment 2 Tomas Mraz 2006-01-02 15:55:46 EST
I'll add the patch as soon as it is accepted to upstream CVS (not necessarily
released in a new version). Please reopen the bug report then.

Note You need to log in before you can comment on or make changes to this bug.